View Issue Details

IDProjectCategoryView StatusLast Update
0017845CentOS-7kernelpublic2020-11-12 20:16
Reporterjlehtone 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version7.9.2009 
Target VersionFixed in Version7.9.2009 
Summary0017845: Only one kernel, 3.10.0-1160, in 7.9.2009's repo
DescriptionCR repository of 7.8.2003 contains:
kernel-3.10.0-1160.2.1.el7.x86_64.rpm 2020-10-21 16:19 50M
kernel-3.10.0-1160.2.2.el7.x86_64.rpm 2020-10-21 16:19 50M
kernel-3.10.0-1160.el7.x86_64.rpm 2020-10-19 17:07 50M

base of 7.9.2009 contains only:
kernel-3.10.0-1160.el7.x86_64.rpm 2020-10-19 17:07 50M

Is that intentional?
TagsNo tags attached.
abrt_hash
URL

Activities

TrevorH

TrevorH

2020-11-12 14:01

manager   ~0037875

Thanks. I believe this is being pushed right now to the master so should trickle out to the mirrors soon.
salmira

salmira

2020-11-12 15:12

reporter   ~0037876

I got similar error on CentOS 7:
No package kernel-devel-3.10.0-1127.el7.x86_64 available.

Moreover, there are more missing packages:

Error downloading packages:
  1:perl-Pod-Escapes-1.04-297.el7.noarch: [Errno 256] No more mirrors to try.
  1:perl-Pod-Simple-3.28-4.el7.noarch: [Errno 256] No more mirrors to try.
  perl-File-Path-2.09-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Time-Local-1.2300-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Encode-2.51-7.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Text-ParseWords-3.29-4.el7.noarch: [Errno 256] No more mirrors to try.
  perl-threads-1.87-4.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Getopt-Long-2.40-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-HTTP-Tiny-0.033-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Storable-2.45-3.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Filter-1.49-3.el7.x86_64: [Errno 256] No more mirrors to try.
  kernel-devel-3.10.0-1160.el7.x86_64: [Errno 256] No more mirrors to try.
  1:perl-parent-0.225-244.el7.noarch: [Errno 256] No more mirrors to try.
  perl-constant-1.27-2.el7.noarch: [Errno 256] No more mirrors to try.
  4:perl-libs-5.16.3-297.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Carp-1.26-244.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Pod-Usage-1.63-3.el7.noarch: [Errno 256] No more mirrors to try.
  4:perl-Time-HiRes-1.9725-3.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-File-Temp-0.23.01-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-podlators-2.5.1-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Socket-2.010-5.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Scalar-List-Utils-1.27-248.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-PathTools-3.40-5.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Exporter-5.68-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-threads-shared-1.43-6.el7.x86_64: [Errno 256] No more mirrors to try.
  4:perl-5.16.3-297.el7.x86_64: [Errno 256] No more mirrors to try.
  4:perl-macros-5.16.3-297.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Pod-Perldoc-3.20-4.el7.noarch: [Errno 256] No more mirrors to try.
TrevorH

TrevorH

2020-11-12 15:22

manager   ~0037877

No, that's different and to do with stale yum metadata left over from the 7.8 repo. Run `yum clean all` then try again.
salmira

salmira

2020-11-12 19:04

reporter   ~0037886

Got fixed perl issue, and got installed 'Package kernel-devel-3.10.0-1160.2.2.el7.x86_64'.

Unfortunately, the kernel-devel version build 1160 is not enough for VirtualBox Guest Additions installation - kernel-devel-3.10.0-1127.el7.x86_64 required... :(

Steps to reproduce on clean OS CentOS 7:
1. Install kernel-devel packah for kernel headers:
 yum install kernel-devel

2. Download VBoxGuestAdditions_6.1.16.iso (latest for VirtualBox 6.1) and execute VBoxLinuxAdditions.run:
 curl --create-dirs -o VBoxGuestAdditions_6.1.16.iso http://download.virtualbox.org/virtualbox/6.1.16/VBoxGuestAdditions_6.1.16.iso
 mount VBoxGuestAdditions_6.1.16.iso -o loop /mnt
 sh ./VBoxLinuxAdditions.run --nox11

Result:
...
VirtualBox Guest Additions: Kernel headers not found for target kernel
3.10.0-1127.el7.x86_64. Please install them and execute
  /sbin/rcvboxadd setup
modprobe vboxguest failed
salmira

salmira

2020-11-12 19:12

reporter   ~0037887

Please add kernel-devel-3.10.0-1127.el7.x86_64 to 7.9.2009's repo.
Required for VirtualBox Guest Additions (6.1.16).
toracat

toracat

2020-11-12 19:21

manager   ~0037888

@salmira

You need a kernel-devel package that matches the *running* kernel. Reboot your system to the 3.10.0-1160.2.2.el7 kernel.
toracat

toracat

2020-11-12 19:26

manager   ~0037889

@jlehtone

The GA kernel is in base but any newer kernels are supposed to be in updates/ .
salmira

salmira

2020-11-12 19:42

reporter   ~0037890

For information - bug was found on CEntOS 7 having
# uname -msr
Linux 3.10.0-1127.el7.x86_64 x86_64

Fortunately, WORKAROUND found for VirtualBox Guest Additions (6.1.16):
 Need to update kernel and the reinstall VBoxLinuxAdditions:
# yum clean all
# yum -y update
# yum install -y gcc make perl kernel-devel
# curl --create-dirs -o VBoxGuestAdditions_6.1.16.iso http://download.virtualbox.org/virtualbox/6.1.16/VBoxGuestAdditions_6.1.16.iso
# mount VBoxGuestAdditions_6.1.16.iso -o loop /mnt
# cd /mnt
# sh ./VBoxLinuxAdditions.run --nox11
----
Verifying archive integrity... All good.
Uncompressing VirtualBox 6.1.16 Guest Additions for Linux........
VirtualBox Guest Additions installer
Removing installed version 6.1.16 of VirtualBox Guest Additions...
Copying additional installer modules ...
Installing additional modules ...
VirtualBox Guest Additions: Starting.
VirtualBox Guest Additions: Building the VirtualBox Guest Additions kernel
modules. This may take a while.
VirtualBox Guest Additions: To build modules for other installed kernels, run
VirtualBox Guest Additions: /sbin/rcvboxadd quicksetup <version>
VirtualBox Guest Additions: or
VirtualBox Guest Additions: /sbin/rcvboxadd quicksetup all
VirtualBox Guest Additions: Building the modules for kernel
3.10.0-1160.2.2.el7.x86_64.
----
ManuelWolfshant

ManuelWolfshant

2020-11-12 20:15

manager   ~0037891

@salmira This is not a CentOS bug. The script shipped by Oracle for installing the guest additions expects by default to have access to a kernel-devel package matching the running kernel. You installed the latest kernel-devel but were still running an old kernel ( shipped with CentOS 7.8 GA ). It would have been enough to reboot the system after installing the updated kernel ( not -devel ! ) package.

Issue History

Date Modified Username Field Change
2020-11-12 13:44 jlehtone New Issue
2020-11-12 14:01 TrevorH Note Added: 0037875
2020-11-12 15:12 salmira Note Added: 0037876
2020-11-12 15:22 TrevorH Note Added: 0037877
2020-11-12 19:04 salmira Note Added: 0037886
2020-11-12 19:12 salmira Note Added: 0037887
2020-11-12 19:21 toracat Note Added: 0037888
2020-11-12 19:26 toracat Note Added: 0037889
2020-11-12 19:42 salmira Note Added: 0037890
2020-11-12 20:15 ManuelWolfshant Note Added: 0037891
2020-11-12 20:16 ManuelWolfshant Status new => closed
2020-11-12 20:16 ManuelWolfshant Resolution open => fixed
2020-11-12 20:16 ManuelWolfshant Fixed in Version => 7.9.2009